BorlandRelationTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.borland.bes.ejb.BorlandRelationTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.borland.bes.ejb
Class BorlandRelationTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.RelationTagsHandler
                      xdoclet.modules.borland.bes.ejb.BorlandRelationTagsHandler

public class BorlandRelationTagsHandler
extends RelationTagsHandler

This tag handler handles tags needed for Web

Version:
  $Revision: 1.4 $
Author:
  Michal Maczka
xdoclet.taghandler
  namespace="BesEjbRel"
created
  12 mei 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`RelationTagsHandler.RelationHolder`

Field Summary

Fields inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`currentRelation, relationMap`

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`BorlandRelationTagsHandler()`

Method Summary
`String` | `defaultLeftColumnName()` Describe what the method does
`String` | `defaultLeftTableName()` Describe what the method does
`String` | `defaultRightColumnName()` Default right colum name is pk field of the right side bean..
`String` | `defaultRightTableName()` Describe what the method does
`void` | `ifDoesntHaveLeftColumnName(String template)` Describe what the method does
`void` | `ifDoesntHaveLeftTableName(String template)` Describe what the method does
`void` | `ifDoesntHaveRightColumnName(String template)` Describe what the method does
`void` | `ifDoesntHaveRightTableName(String template)` Describe what the method does
`void` | `ifHasLeftColumnName(String template)` Describe what the method does
`void` | `ifHasLeftTableName(String template)` Describe what the method does
`void` | `ifHasRightColumnName(String template)` Describe what the method does
`void` | `ifHasRightTableName(String template)` Describe what the method does
`String` | `leftColumnName()` Describe what the method does
`String` | `leftTableName()` Describe what the method does
`String` | `rightColumnName()` Describe what the method does
`String` | `rightTableName()` Describe what the method does

Methods inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`forAllRelationships, hasRelationships, ifHasLeftRoleName, ifHasRelationships, ifHasRightRoleName, ifIsBidirectional, ifIsLeftMany, ifIsMany2Many, ifIsNotACollection, ifIsOne2Many, ifIsOne2One, ifIsRightMany, ifIsUnidirectional, ifLeftCascadeDelete, ifLeftNavigable, ifNotHasRelationships, ifNotIsMany2Many, ifNotIsOne2Many, ifNotIsOne2One, ifRightCascadeDelete, ifRightNavigable, isSetOrCollection, leftEJBName, leftFieldName, leftFieldType, leftMultiplicity, leftRoleName, relationComment, relationName, rightEJBName, rightFieldName, rightFieldType, rightMultiplicity, rightRoleName`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorlandRelationTagsHandler

    public BorlandRelationTagsHandler()

Method Detail

### leftTableName

    public String leftTableName()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### defaultLeftTableName

    public String defaultLeftTableName()
                                throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### ifHasLeftTableName

    public void ifHasLeftTableName(String template)
                            throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### ifDoesntHaveLeftTableName

    public void ifDoesntHaveLeftTableName(String template)
                                   throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### leftColumnName

    public String leftColumnName()
                          throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### ifHasLeftColumnName

    public void ifHasLeftColumnName(String template)
                             throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### ifDoesntHaveLeftColumnName

    public void ifDoesntHaveLeftColumnName(String template)
                                    throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### defaultLeftColumnName

    public String defaultLeftColumnName()
                                 throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### rightTableName

    public String rightTableName()
                          throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### defaultRightTableName

    public String defaultRightTableName()
                                 throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### ifHasRightTableName

    public void ifHasRightTableName(String template)
                             throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### ifDoesntHaveRightTableName

    public void ifDoesntHaveRightTableName(String template)
                                    throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### rightColumnName

    public String rightColumnName()
                           throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### defaultRightColumnName

    public String defaultRightColumnName()
                                  throws XDocletException

  Default right colum name is pk field of the right side bean..

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="content"

### ifHasRightColumnName

    public void ifHasRightColumnName(String template)
                              throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

### ifDoesntHaveRightColumnName

    public void ifDoesntHaveRightColumnName(String template)
                                     throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD